Subject: Bug#217: [X2Go-Dev] Bug#217: x2gobroker: better debugging af x2gobroker-agent calls

From: Mike Gabriel <[email-masked]>
Date: Wed, 22 May 2013 17:55:51 +0200

tag #217 confirmed
severity #217 important
thanks

Hi Anders,

On Mi 22 Mai 2013 15:18:38 CEST Anders Bruun Olsen wrote:

> Package: x2gobroker
> Version: 0.0.2.2 (git)
> Severity: wishlist
>
> While trying to debug the problems I had, leading to submitting bug #216,
> was quite painful. x2gobroker-agent dies silently if it can't run
> x2gobroker-agent.pl and nothing giving even a hint of a problem gets logged
> by x2gobroker to broker.log (on the broker, not the terminal server). It
> would be very helpful if nothing was ever allowed to die silently, but
> instead logged error messages.
> I guess this goes for pretty much any part of x2go, but this bug is about
> the particular case with x2gobroker-agent.

I, of course, fully agree with everything said in this trouble report.  
It just has not happened so far due to lack of time. Any sort of a  
patch is also welcome and will accelerate a fix for this issue.

Greets,
Mike

-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: [email-masked], http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb